
%let root    = C:\Users\psioda\Documents\Stat-Projects\Bayesian-binomial-design;
%include "&root./macros/simBin.sas";
%include "&root./macros/BinDesignPP.sas";

ods html close;
ods listing close;

%let nt = 750;
%let nc = 250;

data powerPrior;
 n = 535; y = 44; a0 = 0.3; output;
 n = 304; y = 33; a0 = 0.3; output;
run;

** Null Case;
%let pi_c  = 0.092;
%let pi_t  = %sysevalf(0.092 + 0.041);
%simBin(pi_t=&pi_t.,nt=&nt.,pi_c=&pi_c.,nc=&nc.,studyRepNum=10000,dsOut=simStudy);
%BinDesignPP(MCMCOptions=%str(nbi=500 nmc=20000 nthin=1),
             gamma=0.95,expDelta=0.041,dsIn=simStudy,dsInPP=powerPrior,dsOut=T1E);


** Alternative Case;
%let pi_c  = 0.092;
%let pi_t  = 0.092;
%simBin(pi_t=&pi_t.,nt=&nt.,pi_c=&pi_c.,nc=&nc.,studyRepNum=10000,dsOut=simStudy);
%BinDesignPP(MCMCOptions=%str(nbi=500 nmc=20000 nthin=1),
             gamma=0.95,expDelta=0.041,dsIn=simStudy,dsInPP=powerPrior,dsOut=Power);






